Problem with Cisco Secure agent instalaltion

Unanswered Question


I am having problems with installing the Cisco Secure agent 5.2-203 on a RHEL 3.0 AS server.

I gives me the following error

[[email protected] CSCOcsa]# ./

Red Hat Enterprise Linux AS release 3 (Taroon Update 6)

Preparing packages for installation...


cc -DMODULE -D__KERNEL__ -Dlinux -Dkernel -I. -I/usr/src/linux-2.4/include -I../ ../../include/unix -pipe -Os -march=i686 -fno-defer-pop -fno-common -mpreferred- stack-boundary=2 -c symbols.c -o symbols.o

cc -DMODULE -D__KERNEL__ -Dlinux -Dkernel -I. -I/usr/src/linux-2.4/include -I../ ../../include/unix -pipe -Os -march=i686 -fno-defer-pop -fno-common -mpreferred- stack-boundary=2 -c fshook.c -o fshook.o

cc -DMODULE -D__KERNEL__ -Dlinux -Dkernel -I. -I/usr/src/linux-2.4/include -I../ ../../include/unix -pipe -Os -march=i686 -fno-defer-pop -fno-common -mpreferred- stack-boundary=2 -c hotpatch.c -o hotpatch.o

cc -DMODULE -D__KERNEL__ -Dlinux -Dkernel -I. -I/usr/src/linux-2.4/include -I../ ../../include/unix -pipe -Os -march=i686 -fno-defer-pop -fno-common -mpreferred- stack-boundary=2 -c adapt.c -o adapt.o

adapt.c: In function `kutil_vprintk':

adapt.c:3442: parse error before `char'

adapt.c:3443: `buf' undeclared (first use in this function)

adapt.c:3443: (Each undeclared identifier is reported only once

adapt.c:3443: for each function it appears in.)

make: *** [adapt.o] Error 1

Failed to build adaptation kernel module. Aborting

error: %post(CSAagent-5.2-203) scriptlet failed, exit status 1

./ installation failed

Would like to know where the dependancy is and what is needed to be installed for this installation to work.


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
TradeSecrets Fri, 07/20/2007 - 11:12

Hi Joel,

The following packages are need to compile the 5.2 agent.




Also 5.2 error messages are alot less friendly than 5.1's


This Discussion